Subject: FVWM: Re: controlling the pointer

From: Neil Zanella <[email-masked]>
Date: Fri, 2 Oct 1998 19:24:57 -0230 (NDT)

Thanks,

But what if I wanted to control pointer movement through the keyboard?

In particular I would like to use my keypad to move the pointer.

This is possible, and I don't know whether the window manager has anything 

to do with this at all, but I recall that Red Hat Linux 4.2 made it possible 

to do this under Fvwm2. The way the Red Hat guys had it configured was that 

when you pressed "Num Lock" or "Ins" on the keypad or sth like that the pointer

could be moved vi the keypad with the buttons 1,2,3,4,6,7,8, and 9. 5 did

something like click or toggle mouse functionality and keypad functionality.

I can't remember the details but I know it's possible because I've seen it work.

I have asked about this before but nobody was able to give an answer.

Perhaps this time, someone will give me a hint as to where to look.

TIA,

Neil

redhat 4.2 having that configuration (as an option)
Neil

> Sometime ago Jim Knoble <[email-masked]> wrote:
> 
> No.  Mouse acceleration is not specific to the window manager, but to
> the X server.  Read the `xset' man page.
> 
> --jim

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Toy Keeper <[email-masked]>
Date: Fri, 02 Oct 1998 17:17:33 -0600

> In particular I would like to use my keypad to move the pointer.

My setup does this.  It uses Sh-Ctrl-arrows, and Sh-Alt-arrows to move
the pointer at two different speeds.

However, I don't know how to do it by toggling numlock, and I don't know
how to generate "click" events from the keyboard.

If you find out how, tell me.  :)

 _  _ _  _ ___ ___  -----------"Use the source, Luke!"---------
( \/ ( \/ (__ (__ ) | ~  Scott Scriven (Toy Keeper / XYZZ)    |
 \  / \  /  //  //  | mailto:[email-masked]           |
 /  \ / /  //_ //_  | mailto:[email-masked]         |
(_/\_(_/  (___(___) | http://www.vis.colostate.edu/~scriven/  |
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Broc Stirton <[email-masked]>
Date: Sat, 3 Oct 1998 00:40:07 -0500 (CDT)

Right Shift + NumLock allows the keypad to control the cursor.
1,2,3,4,6,7,8,9  move the cursor (hold down * while moving to speed it
up), and 5 is the mouse click (it toggles btwn left, right, or center by
hitting /,*, or - b/f hand)
	hope this helps,
		broc
						--------------------
						    Broc Stirton
					     mailto:[email-masked] 
						--------------------